ALACRITTY(1)

NAME
alacritty - a cross-platform, gpu-accelerated terminal emulator

SYNOPSIS
alacritty [FLAGS] [OPTIONS]

DESCRIPTION
Alacritty is a terminal emulator with a strong focus on simplicity and performance. With such a strong focus on performance, included features are carefully considered and you can always expect Alacritty to be blazingly fast. By making sane choices for defaults, Alacritty requires no additional setup. However, it does allow configuration of many aspects of the terminal.

FLAGS

-h, --help
    Prints help information

--hold
    Remain open after child process exits

--live-config-reload
    Enable automatic config reloading

--no-live-config-reload
    Disable automatic config reloading

--persistent-logging
    Keep the log file after quitting Alacritty

--print-events
    Print all events to stdout

-q  Reduces the level of verbosity (the min level is -qq)

--ref-test
    Generates ref test

-v  Increases the level of verbosity (the max level is -vvv)

-V, --version
    Prints version information

OPTIONS

--class <instance> | <instance>,<general>
    Defines the window class hint on Linux [default: Alacritty,Alacritty] On Wayland the instance class sets the `app_id`, while the general class is ignored.

-e, --command <command>...
    Command and args to execute (must be last argument)

--config-file <config-file>
    Specify alternative configuration file Alacritty looks for the configuration file at the following paths:
        1. $XDG_CONFIG_HOME/alacritty/alacritty.yml
        2. $XDG_CONFIG_HOME/alacritty.yml
        3. $HOME/.config/alacritty/alacritty.yml
        4. $HOME/.alacritty.yml On Windows, the configuration file is located at %APPDATA%\alacritty\alacritty.yml.

-d, --dimensions <columns> <lines>
    Defines the window dimensions. Falls back to size specified by window manager if set to 0x0 [default: 0x0]

--position <x-pos> <y-pos>
    Defines the window position. Falls back to position specified by window manager if unset [default: unset]

-t, --title <title>
    Defines the window title [default: Alacritty]

--embed <parent>
    Defines the X11 window ID (as a decimal integer) to embed Alacritty within

--working-directory <working-directory>
    Start the shell in the specified working directory

SEE ALSO
See the alacritty github repository at https://github.com/alacritty/alacritty for the full documentation.

BUGS
Found a bug? Please report it at https://github.com/alacritty/alacritty/issues.

AUTHORS
Maintainers:

    • Christian Duerr <contact@christianduerr.com>

    • Joe Wilm <joe@jwilm.com>